The Wine development release 3.3 is now available.

What's new in this release (see below for details):
  - Beginnings of Vulkan support.
  - Direct3D multi-threaded command stream enabled by default.
  - Multisample textures enabled by default.
  - Support for game controllers through SDL.
  - Support for loading CIL-only .Net binaries.
  - Various bug fixes.

The source is available from the following locations:

  https://dl.winehq.org/wine/source/3.x/wine-3.3.tar.xz
  http://mirrors.ibiblio.org/wine/source/3.x/wine-3.3.tar.xz

Binary packages for various distributions will be available from:

  https://www.winehq.org/download

You will find documentation on https://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check https://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

Bugs fixed in 3.3 (total 35):

   7284  Max Payne 2 light reflections on people are too bright and blocky
   9914  Implement a Kerberos provider for SSPI
  10347  Action Replay Code Manager crashes on start up
  14336  BCG tooltips don't display correctly (Foxit PDF Reader)
  19508  Multiple games fail to start after CreateDCW(DIB or DIRDIB) error (Cosmology of Kyoto, Secret of the Luxor, Pingu, Pettson and Findus, many Klik & Play games)
  32186  Multiple kernel drivers crash on unimplemented function ntoskrnl.exe.KeWaitForMultipleObjects (Franson VSerial service 'bizvserialnt.sys', VSphere 6.0 'hcmon.sys')
  32802  Janetter 4.1.1.0 fails to start properly and gives an error saying: "Backend server cannot init"
  36143  Symantec Norton 360 installer reports 'This product is not compatible with this computer's current operating system' (RtlVerifyVersionInfo doesn't handle major/minor/service pack condition mask properly)
  37025  Photo Renamer 3.x/4.x crashes on startup
  37852  Sentinel HASP 'hardlock.sys' kernel driver custom imports resolver can't cope with many 'ntoskrnl.exe' functions being fowarded to 'ntdll.dll' (Minitab 16 fails to start)
  38661  64-bit .NET CLR/managed executables can't be run by Wine loader (entry point not set to mscoree.dll _CorExeMain/_CorDllMain)(Demoscene 'Coronoid', Rust, SIGMA Photo Pro 6)
  39500  DRM kernel drivers used by some game demos crash on unimplemented function hal.dll.KeQueryPerformanceCounter (Secret Files: Tunguska, Sherlock Holmes vs Jack the Ripper)
  39970  Bankperfect 8.0.0.373 defect
  40002  Edit control is not repainted on focus change
  42468  Broken msxml text nodes escaping
  42592  The Witcher 3 has poor performance (buffer access flags are ignored)
  42820  Multiple games (The Witness, Just Cause 2) require D3D11 multisample textures
  42851  The BaiduMusic can not be launched
  43041  Multiple application installers crash due to missing message string for 0x800b0100 (TRUST_E_NOSIGNATURE) (CodeXL 2.3, RT Se7en Lite)
  43351  x64dbg needs kernel32.dll CreateRemoteThreadEx in Win7+ mode
  43520  Magic The Gathering Online - corrupted rendering of CMYK jpegs
  43740  GenerateMips not implemented for d3d10 (Just Cause 2)
  44255  Wolf RPG Editor: Game.exe zombifies upon quit
  44265  Options dialog triggers exception upon close in Windows Media Player 6.4
  44279  Wine can't enumerate HID device that is based on Bluetooth (a Wiimote)
  44460  Wine's loader should prevent multiple executable mappings of images (dlls) backed by the same physical file (long path vs. short path)
  44462  Stuttering/Low fps in Unigine Valley
  44473  glyph overlap in Delphi editor
  44486  Stack overflow in The Witness, The Witcher 3 (multisample texture location loading)
  44542  Multiple Vista+ UAC-aware applications need support for execution level information in manifest data/activation context
  44556  SYN_DROPPED undeclared on Linux < 2.6.39
  44578  ShellDispatch::BrowseForFolder is not implemented
  44593  Improve Wine loader diagnostic output for .NET (IL) applications in case of 'mscoree.dll' load failures
  44628  BaiduMusic needs dwmapi.DwmSetIconicThumbnail (stub)
  44636  Sentinel HASP 'hardlock.sys' kernel driver access to CR4 via %ESI register operand not handled in ntoskrnl emulate_instruction

----------------------------------------------------------------

Changes since 3.2:

Akihiro Sagawa (5):
      gdi32: Fix synthetic bold outline text metrics.
      gdi32/tests: Add more text metrics tests in synthetic bold bitmap fonts.
      gdi32: Fix text metrics in synthetic bold bitmap fonts.
      ws2_32/tests: Add ioctlsocket(FIONREAD) tests with listening socket.
      ws2_32: Fix ioctlsocket(FIONREAD) with listening socket.

Alex Henrie (7):
      shlwapi/tests: Drop ordinal test workarounds for Windows <= 2000.
      schannel/tests: Relax GetInfo return value test.
      mmdevapi/tests: Fix capture test that consistently fails on Windows 10.
      mmdevapi/tests: Relax capture test that sometimes fails on Windows 8.
      user32/tests: Drop broadcast test workarounds for Windows <= 2000.
      msxml3: Remove CRs in domtext_put_data and add them in domtext_get_xml.
      ieframe/tests: Mark an IE test as todo on x64 and ARM.

Alexandre Julliard (38):
      makefiles: Split the makefile generation into multiple functions.
      makefiles: Add support for a generic SOURCES variable.
      makefiles: Add support for creating helper dlls in tests.
      ntdll: Hardcode the windows and system directories.
      kernel32: Hardcode the windows and system directories.
      makefiles: Generate rules for installing l_intl.nls and wine.desktop.
      makefiles: Add a helper to split large file remove commands.
      makefiles: Generate the testclean rule using the subdirs file lists.
      makefiles: Generate the clean rule using the subdirs file lists.
      ntdll: Add support for running IL-only .NET executables.
      makefiles: Make the directory specifications a bit more standard.
      makefiles: Generate the uninstall rule using the subdirs file lists.
      makefiles: Disable binary installation in the individual makefiles on Wow64.
      makefiles: Generate the top-level install rules using the subdirs rules.
      makefiles: Generate the top-level import library rules from makedep.
      makefiles: Generate the top-level test rules from makedep.
      makefiles: Generate the remaining top-level rules from makedep.
      configure: Fix notice message for libSDL2.
      gdi.exe: Implement the DIB.DRV driver using a window surface.
      krnl386: GetCodeHandle returns a DWORD.
      winebus.sys: Define SYN_DROPPED if missing.
      makefiles: Add intermediate test target to propagate test failures status properly.
      makefiles: Shared library and import library are not exclusive for PE builds.
      ntdll: Print a diagnostic when mscoree cannot be loaded.
      ntoskrnl: Avoid forwarding to ntdll, link directly instead.
      kernel32/tests: Add test for loading a dll under different names.
      user32/tests: Also test device caps on a released DC.
      ntdll: Add a helper function to open a dll file.
      ntdll: Allow loading 32-bit IL-only binaries on 64-bit.
      ntdll: Check file identity in addition to file name to find a loaded module.
      ntoskrnl.exe: Add a helper function for accessing registers.
      ntoskrnl.exe: More general implementation of the CRn and DRn registers.
      kernel32: Implement the LOAD_LIBRARY_AS_IMAGE_RESOURCE flag.
      kernel32: Implement the LOAD_LIBRARY_AS_DATAFILE_EXCLUSIVE flag.
      kernel32/tests: Remove some win9x workarounds.
      kernel32: Add a helper function to fill object attributes in Open* functions.
      kernel32: Add a helper function to fill object attributes in Create* functions.
      kernel32: Move the mapping object functions to sync.c.

Alistair Leslie-Hughes (2):
      crypt32/tests: Link to crypt API directly.
      gdiplus/tests: Check the correct value.

Andrew Eikum (1):
      maintainers: Remove myself from a dmusic DLL.

Andrey Gusev (2):
      mshtml/tests: Use GetModuleHandleA instead of LoadLibraryA.
      gdiplus/tests: Fix copy-paste typos.

Anton Baskanov (10):
      amstream: Add stub IPin and IMemInputPin to AMDirectDrawStream.
      amstream: Implement GetMediaType for AMDirectDrawStream based on code from mediastreamfilter.c.
      amstream: Implement CheckMediaType for AMDirectDrawStream based on code form mediastreamfilter.c.
      amstream: Implement AMDirectDrawStream::JoinFilter.
      amstream: Add stub IPin and IMemInputPin to AMAudioStream.
      amstream: Implement GetMediaType for AMAudioStream based on code from mediastreamfilter.c.
      amstream: Implement CheckMediaType for AMAudioStream based on code from mediastreamfilter.c.
      amstream: Implement AMAudioStream::JoinFilter.
      amstream: Store streams as IAMMediaStream in MediaStreamFilter.
      amstream: Use streams as pins in MediaStreamFilter.

Anton Romanov (2):
      wmp: Add IWMPControls stub implementation.
      windowscodecs: Fix data corruption for Adobe CMYK JPEGs.

Aric Stewart (8):
      winebus.sys: Add SDL gamepad and joystick driver.
      winebus.sys: Support adding and removing SDL devices.
      winebus.sys: Build SDL device report.
      winebus.sys: Process SDL device reports.
      winebus.sys: Map SDL game controllers if requested.
      winebus.sys: Implement SDL Haptic for controller vibration.
      winebus.sys: Add SDL to CriticalDeviceDatabase.
      winebus.sys: Do not depend on USB devices.

Aurimas Fišeras (1):
      po: Update Lithuanian translation.

Dmitry Timoshkov (10):
      iphlpapi: Also check the IP address family before treating it as an IPv6 one.
      adsldp: Add initial tests for ADSystemInfo.
      secur32/tests: Make GetComputerObjectName() tests pass when computer is part of a domain.
      adsldp: Implement IADsADSystemInfo::get_ComputerName().
      secur32: Fix GetComputerObjectNameW for the cases of NULL or insufficient buffer size.
      advapi32: Initialize more fields in LsaQueryInformationPolicy(PolicyDnsDomainInformation).
      advapi32: Use GetWindowsAccountDomainSid() to retrieve the domain SID.
      advapi32: Return correct short domain name.
      advapi32: Also initialize DnsDomainName and DnsForestName in LsaQueryInformationPolicy.
      secur32: Add support for NameFullyQualifiedDN to GetComputerObjectName.

Fabian Maurer (3):
      propsys: Add PropVariantToStringWithDefault and tests.
      uiribbon.idl: Add UIRibbonImageFromBitmapFactory coclass and more interface definitions.
      comctl32/progress: Fix wrapping of values in PBM_STEPIT and add tests.

François Gouget (5):
      krnl386.exe16: Avoid the DOSVM_HardwareInterruptPM() forward declaration.
      krnl386.exe16: Make a couple of functions static.
      secur32: Make the SecurityFunctionTable[AW] functions static.
      wmp: Make the WMPControls_*() functions static.
      comctl32: Make COMBO_WindowProc() static.

Hans Leidekker (10):
      bcrypt: Use the global memory allocation helpers.
      fusion: Use the global memory allocation helpers.
      wldap32: Use the global memory allocation helpers.
      include: Fix the definition of CREDUI_MAX_DOMAIN_TARGET_LENGTH.
      kerberos: Get rid of a redundant parameter check in kerberos_SpInitLsaModeContext.
      kerberos: Add support for caller supplied credentials.
      bcrypt: Partial implementation of BCryptImportKey and BCryptExportKey.
      wbemprox/tests: Add tests for Win32_VideoController.
      wbemprox/tests: Add a test for Win32_OperatingSystem.FreePhysicalMemory.
      wbemprox/tests: Add tests for Win32_Printer.

Henri Verbeet (50):
      wined3d: Introduce separate read and write resource map flags.
      wined3d: Split WINED3D_RESOURCE_ACCESS_MAP into WINED3D_RESOURCE_ACCESS_MAP_R and WINED3D_RESOURCE_ACCESS_MAP_W.
      usp10/tests: Also restore the previous font when the finger print matches in _find_font_for_range().
      usp10: Avoid leaking "open_stack" and "stack_index" in case of 0 "pair_count" in computeBracketPairs().
      ddraw: Compare with the correct view in ddraw_surface_delete_attached_surface().
      usp10: Make "pair_count" unsigned in computeBracketPairs().
      usp10: Use usp10_array_reserve() in computeBracketPairs().
      usp10/tests: Introduce an ARRAY_SIZE macro.
      usp10/tests: Cleanup test_ScriptItemIzeShapePlace().
      usp10/tests: Cleanup test_ScriptTextOut().
      wined3d: Store overlay info in textures instead of in surfaces.
      wined3d: Introduce a helper to retrieve the texture target in context_set_fbo_key_for_render_target().
      wined3d: Use wined3d_texture_get_sub_resource_target() in wined3d_texture_allocate_gl_mutable_storage().
      wined3d: Use wined3d_texture_get_sub_resource_target() in surface_download_data().
      wined3d: Use wined3d_texture_get_sub_resource_target() in wined3d_surface_upload_data().
      wined3d: Use wined3d_texture_get_sub_resource_target() in draw_textured_quad().
      wined3d: Use wined3d_texture_get_sub_resource_target() in fb_copy_to_texture_direct().
      wined3d: Use wined3d_texture_get_sub_resource_target() in fb_copy_to_texture_hwstretch().
      wined3d: Use wined3d_texture_get_sub_resource_target() in surface_load_fb_texture().
      usp10/tests: Cleanup test_ScriptTextOut2().
      wined3d: Pass a texture and sub-resource index to surface_get_blt_info().
      wined3d: Explicitly calculate the sub-resource layer in surface_download_data().
      wined3d: Explicitly calculate the sub-resource layer in wined3d_surface_upload_data().
      wined3d: Explicitly calculate the sub-resource layer in raw_blitter_blit().
      usp10/tests: Cleanup test_ScriptTextOut3().
      wined3d: Pass a wined3d_rendertarget_info structure to context_find_fbo_entry().
      wined3d: Explicitly calculate the sub-resource level in arbfp_blit_set().
      wined3d: Explicitly calculate the sub-resource level in arbfp_blitter_blit().
      wined3d: Explicitly calculate the sub-resource level in is_full_clear().
      usp10/tests: Cleanup test_ScriptString().
      wined3d: Explicitly calculate the sub-resource level in device_clear_render_targets().
      wined3d: Explicitly calculate the sub-resource level in surface_download_data().
      wined3d: Explicitly calculate the sub-resource level in wined3d_surface_upload_data().
      wined3d: Explicitly calculate the sub-resource level in surface_upload_from_surface().
      usp10/tests: Cleanup test_ScriptStringXtoCP_CPtoX().
      wined3d: Explicitly calculate the sub-resource level in surface_set_compatible_renderbuffer().
      wined3d: Explicitly calculate the sub-resource level in read_from_framebuffer().
      wined3d: Explicitly calculate the sub-resource level in surface_load_fb_texture().
      wined3d: Explicitly calculate the sub-resource level in fb_copy_to_texture_direct().
      usp10/tests: Cleanup test_ScriptGetFontFunctions().
      wined3d: Explicitly calculate the sub-resource level in fb_copy_to_texture_direct().
      wined3d: Explicitly calculate the sub-resource level in surface_blt_special().
      wined3d: Explicitly calculate the sub-resource level in surface_load_drawable().
      wined3d: Explicitly calculate the sub-resource level in surface_load_texture().
      wined3d: Explicitly calculate the sub-resource level in surface_load_renderbuffer().
      wined3d: Explicitly calculate the sub-resource level in raw_blitter_blit().
      wined3d: Explicitly pass the sub-resource level to surface_is_full_rect().
      wined3d: Explicitly calculate the sub-resource level in wined3d_texture_allocate_gl_mutable_storage().
      usp10: Use heap_calloc() in ScriptLayout().
      usp10: Use heap_calloc() in ScriptTextOut().

Hirofumi Katayama (1):
      shlwapi: Don't attempt to un-expand ComputerName in PathUnExpandEnvStrings.

Huw D. M. Davies (5):
      riched20: Don't use logfont-style underlining for links.
      riched20: Return the underline pen as the return value.
      riched20: Underline links.
      winedbg: Fix the operand order of some XMM instructions.
      winedbg: Add cvtdq2ps and cvtps2pd opcodes.

Isira Seneviratne (1):
      ping: Implement -l, -w, -n using IcmpSendEcho.

Jacek Caban (51):
      mshtml: Get owner document from Gecko node in get_node.
      mshtml/tests: Added more ownerDocument property tests.
      mshtml: Get rid of no longer needed document argument in get_node.
      mshtml: Get rid of no loner needed document node reference in HTMLDOMChildrenCollection.
      mshtml: Get rid of no longer needed document argument from script_elem_from_nsscript.
      mshtml: Get rid of no longer needed document argument from create_all_list.
      mshtml: Get rid of no longer needed document argument from get_element.
      mshtml: Use get_element helper in IHTMLElement::get_offsetParent implementation.
      ntdll/tests: Added pipe security descriptor tests.
      mshtml: Use get_element helper in IHTMLDocument2::elementFromPoint implementation.
      mshtml: Get rid of no longer needed document argument from create_collection_from_nodelist and create_collection_from_htmlcol.
      mshtml: Use get_element helper in IHTMLDocument3::get_documentElement implementation.
      mshtml: Share more code between get_form implementations.
      mshtml: Added IDOMMouseEvent::relatedTarget implementation.
      mshtml: Improved IDOMMouseEvent::offset[XY] stubs.
      mshtml: Added IDOMMouseEvent::toElement property implementation.
      mshtml: Added IDOMMouseEvent::fromElement property implementation.
      mshtml: Forward IHTMLEventObj::toElement and fromElement implementation to IDOMMouseEvent.
      mshtml/tests: Fixed copy&paste typo in createDocumentFragment call.
      mshtml: Register load, error and abort events directly in event target.
      mshtml: Properly support custom event listeners in XMLHttpRequest object.
      mshtml: Properly handle conditional comments in IE9+ modes.
      mshtml: Set SCRIPTPROP_INVOKEVERSIONING based on document mode value.
      urlmon: Use HttpQueryInfoA in IWinInetHttpInfo::QueryInfo implementation.
      mshtml: Support X-UA-Compatible HTTP header.
      server: Share security descriptor among all pipe instances.
      mshtml: Merge htmlframebase.c into htmlframe.c.
      mshtml: Merge htmliframe.c into htmlframe.c.
      mshtml: Merge htmlembed.c into htmlobject.c.
      mshtml: Merge htmlmeta.c into htmlhead.c.
      mshtml: Merge htmloption.c into htmlselect.c.
      mshtml: Merge htmltablerow.c into htmltable.c.
      mshtml: Merge htmltablecell.c into htmltable.c.
      mshtml: Merge htmltextcont.c into htmlbody.c.
      mshtml: Implement IHTMLTextContainer interface directly in HTMLBodyElement object.
      mshtml: Implement IOleDocumentView and IViewObjectEx interfaces in HTMLDocumentObj object instead of HTMLDocument.
      mshtml: Merge htmlscreen.c into imnavigator.c.
      mshtml: Merge ipwindow.c into pluginhost.c.
      mshtml: Merge propbag.c into pluginhost.c.
      activscp.idl: Added SCRIPTLANGUAGEVERSION declaration.
      mshtml: Use IE8 compatibility mode for documents in standards mode in internet zone.
      mshtml: Use SCRIPTLANGUAGEVERSION_5_7 for IE7 and IE5 compatibility mode.
      jscript: Introduce Wine-specific extension allowing IE9+ JavaScript mode implementation.
      mshtml: Use JScript extension for IE9+ mode support.
      jscript: Added Date.now implementation.
      jscript: Added Array.isArray implementation.
      jscript: Properly support missing array elements in stringify_array.
      jscript: Properly support missing array elements in Array.pop.
      jscript: Properly handle elisions in array literals.
      jscript: Renamed equal2_values to jsval_strict_equal.
      jscript: Added Array.prototype.indexOf implementation.

Józef Kucia (37):
      wined3d: Fix stack buffer overrun in wined3d_debug_resource_access().
      d3d10core/tests: Print adapter information.
      d3d10core/tests: Add option to use selected adapter.
      d3d10core/tests: Fix memory leaks in test_generate_mips().
      d3d10core/tests: Use global memory allocation helpers.
      d3d11/tests: Use global memory allocation helpers.
      wined3d: Dump sample counts for cube maps (Coverity).
      wined3d: Reduce code duplication in context_dump_fbo_attachment().
      wined3d: Add helper function to construct debug strings.
      d3d9/tests: Add more tests for StretchRect().
      d3d9: Reject blits on CPU accessible resources.
      d3d9: Reject blits to regular textures.
      wined3d: Implement loading system memory from multisample textures.
      wined3d: Use multisample textures by default.
      wined3d: Move dispatch_compute() to context.c file.
      wined3d: Cleanup draw_primitive_arrays() a bit.
      wined3d: Drop d3d_draw debug channel.
      wined3d: Merge drawprim.c into context.c.
      d3d9: Get rid of D3D9_MAX_SIMULTANEOUS_RENDERTARGETS.
      wined3d: Limit number of supported render targets to 8.
      wined3d: Terminate long debug strings with ellipsis.
      d3d9: Make warning message in d3d9_device_StretchRect() more accurate.
      d3d9/tests: Use ARRAY_SIZE() macro.
      wined3d: Do not allocate framebuffer state structures dynamically.
      wined3d: Try harder to reacquire context.
      wined3d: Do not call context_validate_onscreen_formats() in context_apply_blit_state().
      wined3d: Use wined3d_bit_scan() in find_draw_buffers_mask().
      d3d11/tests: Add test for unbound multisample textures.
      wined3d: Add ARB_framebuffer_no_attachments extension.
      configure: Sort AC_ARG_WITH() calls.
      kernel32: Treat Vulkan environment variables as special variables.
      wined3d: Remove redundant if statement from device_init_swapchain_state().
      wined3d: Implement draw calls with no attachments.
      wined3d: Factor out get_viewport() function.
      wined3d: Fix draw calls when first render target is NULL.
      d3d11/tests: Add test for draws with NULL render target views.
      d3d11/tests: Use no attachments draw calls.

Kim Malmo (1):
      po: Update Norwegian translation.

Kirill Erofeev (2):
      msvcrt: Fix _searchenv, _searchenv_s, _wsearchenv, _wsearchenv_s.
      msvcrt/tests: Add tests for _searchenv, _searchenv_s, _wsearchenv, _wsearchenv_s.

Lauri Kenttä (1):
      po: Update Finnish translation.

Louis Lenders (2):
      kernel32: Add message resource for TRUST_E_NOSIGNATURE.
      gdiplus: Fix argument check in GdipLoadImageFromStream().

Marcin Mikołajczak (1):
      po: Update Polish translation.

Mark Jansen (2):
      imagehlp/tests: MSVC compatibility fixes.
      kernel32/tests: Close process / thread handles.

Michael Müller (18):
      ntdll: Parse execution level information in manifest data.
      ntdll: Implement RunlevelInformationInActivationContext in RtlQueryInformationActivationContext.
      w2_32: Ignore setting several port assignment related socket options.
      kernelbase: Add stub for QuirkIsEnabled.
      ntdll: Fix error code when querying too large memory address.
      hal: Implement KeQueryPerformanceCounter.
      dwmapi: Add DwmSetIconicThumbnail() stub.
      fonts/tahoma.sfd: Add glyphs U+FB01 and U+FB02.
      ntdll: Implement ProcessPriorityClass in NtQueryInformationProcess.
      wbemprox: Add ConfigManagerErrorCode for Win32_VideoController.
      wbemprox: Add Status for Win32_VideoController.
      wbemprox: Add InstalledDisplayDrivers for Win32_VideoController.
      wbemprox: Add DriverDate for Win32_VideoController.
      include: Add PathCchCombineEx() definition.
      kernelbase/tests: Add some tests for PathCchCombineEx().
      wbemprox: Add FreePhysicalMemory to Win32_OperatingSystem.
      wbemprox: Provide DeviceID, Location and PortName for printers.
      dwmapi: Add stub for DwmSetIconicLivePreviewBitmap.

Michael Stefaniuc (15):
      d3d9: Use the available ARRAY_SIZE() macro.
      ddraw/tests: Use the available ARRAY_SIZE() macro.
      ddraw: Use the available ARRAY_SIZE() macro.
      d3dx9: Use the available ARRAY_SIZE() macro.
      dmstyle/tests: Add IDirectMusicObject::ParseDescriptor() tests.
      quartz: Don't create the advise thread during the clock teardown.
      dmband/tests: Add IDirectMusicObject::ParseDescriptor() tests.
      scrrun: Use the available ARRAY_SIZE() macro.
      comctl32: Use the available ARRAY_SIZE() macro.
      dmcompos/tests: Add IDirectMusicObject::ParseDescriptor() tests.
      usp10: Use the available ARRAY_SIZE() macro.
      maintainers: Add a DirectMusic section.
      dswave/tests: Add IDirectMusicObject::ParseDescriptor() tests.
      dmime/tests: Add IDirectMusicObject::ParseDescriptor() tests.
      dmusic/tests: Add IDirectMusicObject::ParseDescriptor() tests.

Nikolay Sivov (45):
      shell32/tests: Add a basic test for NewMenu object creation.
      shell32/tests: Run context menu tests on background menu too.
      shell32: Added IShellExtInit stub for context menus.
      shell32: Add IObjectWithSite stub for context menus.
      shell32/tests: Run more tests on menus created with SHCreateDefaultContextMenu().
      user32: Don't convert message arguments when calling dialog procedure.
      shell32/tests: Use the global memory allocation helpers.
      comctl32/tests: Replace some asserts with regular test calls.
      ntdll: Allow closing tags for 'supportedOS' elements.
      dwrite: Use ARRAY_SIZE() macro.
      comctl32/tests: Run some tooltips tests on version 6 too.
      comctl32/tooltips: Fix structure size check for TTM_ADDTOOLW.
      xmllite: Use ARRAY_SIZE macro for reader too.
      xmllite/tests: Use ARRAY_SIZE() macro in tests.
      shell32: Use global memory allocation helpers.
      oleaut32: Don't reset property page site to NULL.
      oleaut32: Allow NULL objects array when creating property frame.
      oleaut32: Ignore SetObjects() result when building property frame.
      shell32: Partially implement IShellDispatch::BrowseForFolder().
      avifil32: Remove some redundant statements.
      explorerframe: Use global memory allocation helpers.
      explorerframe/tests: Use global memory allocation helpers.
      uxtheme: Use global memory allocation helpers.
      kernel32: Add GetEnabledXStateFeatures() stub.
      kernel32: Add CreateRemoteThreadEx().
      kernel32/tests: Add more tests for VerifyVersionInfo().
      kernel32/tests: Remove workarounds for older versions.
      wincodecs/tests: Run decoder info tests for all decoders.
      wincodecs/tests: Add a test for GetDecoderInfo() returned instance.
      msxml3/saxreader: Accept disabled "exhaustive-errors" property.
      msxml3/saxreader: Accept external-general-entities and external-parameter-entities.
      msxml3/saxreader: Allow setting default value for schema-validation feature.
      msxml3: Use ARRAY_SIZE() macro.
      comctl32/tests: Add a test for TTN_SHOW order.
      scrrun: Use ARRAY_SIZE() macro.
      comctl32: Use ARRAY_SIZE() macro.
      wshom: Use ARRAY_SIZE() macro.
      wshom: Use global memory allocation helpers.
      comctl32/tests: Run some Progress control tests on version 6.
      user32/tests: Remove commented out traces, use test calls instead of traces.
      gdiplus/tests: Add some invalid arguments tests for GdipLoadImageFromStream().
      user32/button: Do not select old font back after painting.
      comctl32/button: Do not select old font back after painting.
      po: Update Russian translation.
      kernelbase: Implement PathCchAddBackslash()/PathCchAddBackslashEx().

Owen Rudge (2):
      include: Define ipv6_mreq structure.
      wsdapi/tests: Add test for Publish.

Piotr Caban (5):
      user32: Fix itemData passed in ListBox WM_MEASUREITEM message.
      user32/tests: Add listbox WM_MEASUREITEM tests.
      comctl32: Fix itemData passed in ListBox WM_MEASUREITEM message.
      comctl32/tests: Add listbox WM_MEASUREITEM tests.
      msvcrt: Fix misleading indentation in gets.

Roderick Colenbrander (11):
      winevulkan: Add initial Wine vulkan header.
      winevulkan: Add stub ICD.
      winevulkan: Implement vk_icdNegotiateICDInterfaceVersion.
      winevulkan: Implement global Vulkan function stubs and loading.
      winevulkan: Define vulkan driver interface.
      winex11: Add Vulkan stubs.
      winex11: Implement vkEnumerateInstanceExtensionProperties.
      winevulkan/winex11: Implement vkCreateInstance.
      winevulkan: Add instance funcs stubs.
      winevulkan: Implement vkDestroyInstance.
      winevulkan: Load instance functions.

Roman Pišl (1):
      comctl32/tooltips: Set window size before TTN_SHOW and preserve it after.

Sebastian Lackner (6):
      user.exe16: Don't open code CONTAINING_RECORD.
      ntdll: Don't fail in NtUnmapViewOfSection when trying to unmap builtin view.
      server: Keep reference to terminated async in free_async_queue.
      ntdll: Fix condition mask handling in RtlVerifyVersionInfo.
      d3d10_1: Add missing forwards to d3d10.
      bcrypt: Correctly check the size in BCryptGetProperty.

Vincent Povirk (1):
      gdiplus: Silently ignore empty rectangles in GdipAddPathRectangles.

Zebediah Figura (27):
      msi/tests: Add tests for custom action return values.
      msi/tests: Add a test for creating MTA objects from a custom action.
      msi/tests: Add a test for MsiGetDatabaseState() called from a custom action.
      shlwapi/tests: Fix link order.
      ws2_32: Only set error codes for triggered events in WSAEnumNetworkEvents().
      kernel32/tests: Handle notifications on the parent dir more gracefully.
      msi/tests: Use the custom DLL for testing deferred actions.
      msi/tests: Add more tests for deferred custom actions.
      winegstreamer: Stop creating the filter if gstreamer fails to render.
      winegstreamer: Check for failure from gst_element_set_state() instead of counting pads.
      winegstreamer: Don't wait for the no-more-pads signal if playback fails.
      winegstreamer: Make sure the pipeline state is NULL before removing output pins.
      winegstreamer: Use ERR instead of FIXME for GStreamer errors.
      winegstreamer: Avoid using the same event for multiple purposes.
      winegstreamer: Zero-initialize the GstImpl filter.
      winegstreamer: Wait for GST_EVENT_CAPS instead of data.
      winegstreamer: Remove unused callbacks.
      quartz/tests: Test IMediaControl on a fully connected graph.
      quartz/tests: Avoid using global variables.
      quartz: Fix a use-after-free in FilterGraph2_Connect().
      quartz/tests: Add a test for IGraphBuilder_Connect().
      quartz/tests: Explicitly test correct return value for IGraphBuilder_Connect().
      quartz/tests: Expand and separate state change tests.
      quartz/tests: Expand and separate media event tests.
      quartz/tests: Simply test_render_with_multithread().
      quartz/tests: Add more tests for IMediaSeeking.
      quartz/tests: Remove some unnecessary error-checking.

--
Alexandre Julliard
julliard@winehq.org
